/* Core Stuff */
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

body {
    font-size: 1rem;
    line-height: 1.7;
    color: #606d6e;
    background-color: #1a1d1f;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    color: #454B4D;
}

a {
    color: #1F8CD6;
    text-decoration: none;
}

a:hover {
    color: #175E91;
}

pre {
    background: #F0F0F0;
    margin: 1rem 0;
    border-radius: 2px;
}

blockquote {
    border-left: 10px solid #eee;
    margin: 0;
    padding: 0 2rem;
}

/* Utility Classes */
.wrapper {
    margin: 0;
}

.padding {
    padding: 3rem 1rem;
}

.left {
    float: left;
}

.right {
    float: right
}

.text-center {
    text-align: center;
}

.text-right {
    text-align: right;
}

.text-left {
    text-align: left;
}

/* Content Styling */
.header .padding {
    padding: 1rem 0;
}

.header {
    background-color: #003457;
    color: #eee;
}

.header a {
    color: #fff;
}

.header .logo {
    font-size: 1.7rem;
    text-transform: uppercase;
}

.footer {
    background-color: #eee;
}

/* Menu Settings */
.main-nav ul {
    text-align: center;
    letter-spacing: -1em;
    margin: 0;
    padding: 0;
}

.main-nav ul li {
    display: inline-block;
    letter-spacing: normal;
}

.main-nav ul li a {
    position: relative;
    display: block;
    line-height: 45px;
    color: #fff;
    padding: 0 20px;
    white-space: nowrap;
}

.main-nav > ul > li > a {
    border-radius: 2px;
}

/*Active dropdown nav item */
.main-nav ul li:hover > a {
    background-color: #175E91;
}

/* Selected Dropdown nav item */
.main-nav ul li.selected > a {
    background-color: #fff;
    color: #175E91;
}

/* Dropdown CSS */
.main-nav ul li {position: relative;}

.main-nav ul li ul {
    position: absolute;
    background-color: #1F8DD6;
    min-width: 100%;
    text-align: left;
    z-index: 999;

    display: none;
}
.main-nav ul li ul li {
    display: block;
}

/* Dropdown CSS */
.main-nav ul li ul ul {
    left: 100%;
    top: 0;
}

/* Active on Hover */
.main-nav li:hover > ul {
    display: block;
}

/* Child Indicator */
.main-nav .has-children > a {
    padding-right: 30px;
}
.main-nav .has-children > a:after {
    font-family: FontAwesome;
    content: '\f107';
    position: absolute;
    display: inline-block;
    right: 8px;
    top: 0;
}

.main-nav .has-children .has-children > a:after {
    content: '\f105';
}


/**  Addendum **/

.grid {
    margin: auto;
}

.grid-item {
    min-width: 32%;
    max-width: 100%;
    align-content: center;
    position: relative;
}

.grid-item-content {
    margin: 0 auto 0 auto;
}

.grid-item-label {
    position: absolute;
    top: 10px;
    width: 100%;
    text-align: center;
    color: #eee;
    opacity: 1;
    background-color: rgba(0.2, 0.2, 0.2, 0.4);
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

.grid-item-icon {
    position: absolute;
    bottom: 10px;
    text-align: center;
    margin: auto;
    margin-left: 25%;
    background-color: rgba(0.2, 0.2, 0.2, 0.5);
    padding: 8px;
    border-radius: 16px;
    color: #57a6ea;
    text-align: center;
    font-size: 18px;
    display: flex;
    align-items: center;
    gap: 10px;
}

.grid-item img {
    object-fit: contain;
}

.gallery-item:hover .grid-item-label {
	opacity: 1;
}

.grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(600px, auto));
    grid-gap: 0px;
    grid-auto-rows: min-max(300px, 1fr); 
    grid-auto-flow: dense;
}

.c-1{ background: #212121; color: #ddd;}
.c-2{ background: #323232;}
.c-3{ background: #121212;}
.c-4{ background: #090909;}
.c-5{ background: #060606;}

.card { min-height: 100px; background-size: cover; background-position: 50% 50%;}

.photogallery {
  display: flex;
  flex-wrap: wrap;
  margin: 0.2em;
  padding: 0;
  list-style-type: none;
}

.photogallery::after {
  content: '';
  display: block;
  flex-grow: 10;
}

@media (max-aspect-ratio: 1/1) and (max-width: 480px) {
  .photogallery {
    flex-direction: row;
  }
}
.photogallery li {
  flex-grow: 1;
  min-width: 32%;
  margin: 0;
  position: relative;
}
@media (max-aspect-ratio: 1/1) {
  .photogallery li {
  }
}
@media (max-height: 480px) {
  .photogallery li {
  }
}
@media (max-aspect-ratio: 1/1) and (max-width: 480px) {
  .photogallery li {
    height: auto;
    width: 100%;
  }
}
.photogallery li img {
  min-width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  font-family: "object-fit: cover;";
}
@media (max-aspect-ratio: 1/1) and (max-width: 480px) {
  .photogallery li img {
    width: 100%;
    max-height: 75vh;
    min-width: 0;
  }
}

/** header **/

.header-content {
	flex-direction: row;
	display: flex;
	justify-content: space-evenly;
}

/** Main Photo Page **/

.photo-full {
	display: block;
	max-width: 100%;
	height: auto;
	justify-content: center;
	margin-left: auto;
	margin-right: auto;
}

/** Pagination **/

.pagination {
	list-style-type: none;
	display: flex;
	flex-direction: row;
	justify-content: space-around;
}
